/* NEW VALIDATION FUNCTIONS */
function validateContent(Value){
	return(Value!=null&&Value!="");
	};

function validateString(Value){
var regExpTerm = /[A-Za-z0-9 ,.;:_#~!$%&\/?{}\\\+\*\=\(\)\[\]\@\-]+/;
	return(validateRegExp(regExpTerm, Value))
	};
	
function validateNumber(Value){
var regExpTerm = /[0-9]+(.[0-9]+)*/;
	return(validateRegExp(regExpTerm, Value))
	};
	
function validateEmail(Value){
var posAt, posDt;
		posAt = Value.indexOf("@");
		posDt = Value.lastIndexOf(".");
		if(!(posAt>0&&posAt<posDt&&posDt<Value.length-1)) return false
		else return true;
	};

function validateRegExp(Expression, Value){
var regExpValue = Expression.exec(Value);
	if(regExpValue!=null){
		if(regExpValue.toString().indexOf(",")!=-1) return(regExpValue[0]==Value)
		else return(regExpValue==Value);
		}
	else return(false);
	};

function compareAgainst(Value, OperatorMode, CompareTo){
	if(OperatorMode==0) return(Value==CompareTo)
	else if(OperatorMode==1) return(Value!=CompareTo)
	else if(OperatorMode==2) return(Value<CompareTo)
	else if(OperatorMode==3) return(Value<=CompareTo)
	else if(OperatorMode==4) return(Value>CompareTo)
	else if(OperatorMode==5) return(Value>=CompareTo)
	return(false);
	};

function compareRange(Value, MinValue, MaxValue){
var nValue = "";
var nResult = true;
	if(isNaN(Value)) nValue = Value.length
	else nValue = parseFloat(Value);
	if(MinValue>=0) nResult = ( nValue >= MinValue );
	if(MaxValue>0) nResult = ( nResult && ( nValue <= MaxValue ) );
	return nResult;
	};

function Validate(){
	document.BillTo.Ecom_BillTo_Postal_Name_Prefix.blur();if(document.BillTo.Ecom_BillTo_Postal_Name_Prefix.selectedIndex!=-1){if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_Name_Prefix[document.BillTo.Ecom_BillTo_Postal_Name_Prefix.selectedIndex].text))){alert("The form is not complete. Please select a 'Salutation'!");document.BillTo.Ecom_BillTo_Postal_Name_Prefix.focus();return(false);};} else{ alert("The form is not complete. Please select a 'Salutation'!");return(false); };if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_Name_First.value))){alert("The form is not complete. Please enter your 'First Name'!");document.BillTo.Ecom_BillTo_Postal_Name_First.focus();return(false);};if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_Name_Last.value))){alert("The form is not complete. Please enter your 'Last Name'!");document.BillTo.Ecom_BillTo_Postal_Name_Last.focus();return(false);};if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_Street_Line1.value))){alert("The form is not complete. Please enter your 'Address'!");document.BillTo.Ecom_BillTo_Postal_Street_Line1.focus();return(false);};if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_PostalCode.value))){alert("The form is not complete. Please enter your 'Postcode'!");document.BillTo.Ecom_BillTo_Postal_PostalCode.focus();return(false);};if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_City.value))){alert("The form is not complete. Please enter your 'City'!");document.BillTo.Ecom_BillTo_Postal_City.focus();return(false);};document.BillTo.Ecom_BillTo_Postal_CountryCode.blur();if(document.BillTo.Ecom_BillTo_Postal_CountryCode.selectedIndex!=-1){if(!(validateContent(document.BillTo.Ecom_BillTo_Postal_CountryCode[document.BillTo.Ecom_BillTo_Postal_CountryCode.selectedIndex].text))){alert("The form is not complete. Please select your 'Country'!");document.BillTo.Ecom_BillTo_Postal_CountryCode.focus();return(false);};} else{ alert("The form is not complete. Please select your 'Country'!");return(false); };document.BillTo.BillToTaxRegion.blur();if(document.BillTo.BillToTaxRegion.selectedIndex!=-1){if(!(validateContent(document.BillTo.BillToTaxRegion[document.BillTo.BillToTaxRegion.selectedIndex].text))){alert("The form is not complete! Please select your 'Taxregion'!");document.BillTo.BillToTaxRegion.focus();return(false);};} else{ alert("The form is not complete! Please select your 'Taxregion'!");return(false); };if(!(validateContent(document.BillTo.Ecom_BillTo_Online_Email.value))){alert("The form is not complete. Please enter your 'Email Address'!");document.BillTo.Ecom_BillTo_Online_Email.focus();return(false);};if(!(validateEmail(document.BillTo.Ecom_BillTo_Online_Email.value))){alert("the form is uncomplete.Please enter a valid 'Email Address'!");document.BillTo.Ecom_BillTo_Online_Email.focus();return(false);};if(!(validateContent(document.BillTo.Ecom_BillTo_Telecom_Phone_Number.value))){alert("The form is not complete. Please enter your 'Telephone Number'!");document.BillTo.Ecom_BillTo_Telecom_Phone_Number.focus();return(false);};if(!(validateContent(((document.BillTo.AgreedToTerms.checked) ? "exists" : "")))){alert("Please confirm that you agree with our terms and conditions!");document.BillTo.AgreedToTerms.focus();return(false);};
		
	return(true);
	};


/* END ADDITIONS FROM VERSION 2.5 */

function submitData(){
var Message;
	safeData();
	if(Validate()){
		if(document.BillTo.ShipToDiffers.checked){
			requestSSL('pchase_shipinfo.htm');			
			}
		else{
			if(xmlConfig.skipShippingMethod=="true"){
				requestSSL('pchase_verify.htm');
				}
			else{
				requestSSL('pchase_shipment.htm');
				};
			};
		};
	};
	
