/* NEW VALIDATION FUNCTIONS */
function validateContent(Value){
	return(Value!=null&&Value!="");
	};

function validateString(Value){
var regExpTerm = /[A-Za-z0-9 ,.;:_#~!$%&\/?{}\\\+\*\=\(\)\[\]\@\-]+/;
	return(validateRegExp(regExpTerm, Value))
	};
	
function validateNumber(Value){
var regExpTerm = /[0-9]+(.[0-9]+)*/;
	return(validateRegExp(regExpTerm, Value))
	};
	
function validateEmail(Value){
var posAt, posDt;
		posAt = Value.indexOf("@");
		posDt = Value.lastIndexOf(".");
		if(!(posAt>0&&posAt<posDt&&posDt<Value.length-1)) return false
		else return true;
	};

function validateRegExp(Expression, Value){
var regExpValue = Expression.exec(Value);
	if(regExpValue!=null){
		if(regExpValue.toString().indexOf(",")!=-1) return(regExpValue[0]==Value)
		else return(regExpValue==Value);
		}
	else return(false);
	};

function compareAgainst(Value, OperatorMode, CompareTo){
	if(OperatorMode==0) return(Value==CompareTo)
	else if(OperatorMode==1) return(Value!=CompareTo)
	else if(OperatorMode==2) return(Value<CompareTo)
	else if(OperatorMode==3) return(Value<=CompareTo)
	else if(OperatorMode==4) return(Value>CompareTo)
	else if(OperatorMode==5) return(Value>=CompareTo)
	return(false);
	};

function compareRange(Value, MinValue, MaxValue){
var nValue = "";
var nResult = true;
	if(isNaN(Value)) nValue = Value.length
	else nValue = parseFloat(Value);
	if(MinValue>=0) nResult = ( nValue >= MinValue );
	if(MaxValue>0) nResult = ( nResult && ( nValue <= MaxValue ) );
	return nResult;
	};

function Validate(){
		document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.blur();if(document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.selectedIndex!=-1){if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix[document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.selectedIndex].text))){alert("The form is not complete. Please choose a 'Salutation'!");document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.focus();return(false);};} else{ alert("The form is not complete. Please choose a 'Salutation'!");return(false); };if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_Name_First.value))){alert("The form is not complete. Please enter your 'First Name'!");document.ShipTo.Ecom_ShipTo_Postal_Name_First.focus();return(false);};if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_Name_Last.value))){alert("The form is not complete. Please enter your 'Last Name'!");document.ShipTo.Ecom_ShipTo_Postal_Name_Last.focus();return(false);};if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_Street_Line1.value))){alert("The form is not complete. Please enter your 'Address'!");document.ShipTo.Ecom_ShipTo_Postal_Street_Line1.focus();return(false);};if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_PostalCode.value))){alert("The form is not complete. Please enter your 'Postcode'!");document.ShipTo.Ecom_ShipTo_Postal_PostalCode.focus();return(false);};if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_City.value))){alert("The form is not complete. Please enter your 'City'!");document.ShipTo.Ecom_ShipTo_Postal_City.focus();return(false);};document.ShipTo.Ecom_ShipTo_Postal_CountryCode.blur();if(document.ShipTo.Ecom_ShipTo_Postal_CountryCode.selectedIndex!=-1){if(!(validateContent(document.ShipTo.Ecom_ShipTo_Postal_CountryCode[document.ShipTo.Ecom_ShipTo_Postal_CountryCode.selectedIndex].text))){alert("The form is not complete. Please select your 'Country'!");document.ShipTo.Ecom_ShipTo_Postal_CountryCode.focus();return(false);};} else{ alert("The form is not complete. Please select your 'Country'!");return(false); };if(!(validateContent(document.ShipTo.Ecom_ShipTo_Online_Email.value))){alert("The form is not complete. Please enter your 'Email Address'!");document.ShipTo.Ecom_ShipTo_Online_Email.focus();return(false);};if(!(validateEmail(document.ShipTo.Ecom_ShipTo_Online_Email.value))){alert("The form is not complete. Please enter a valid 'Email Address'!");document.ShipTo.Ecom_ShipTo_Online_Email.focus();return(false);};
		
	return(true);
	};

function CopyFormValues(){
var mNode = null;
var mOption = null;
	if(xmlConfig.dataEnteredShipTo!="true"){
		// txtcontrols
		document.ShipTo.Ecom_ShipTo_Postal_Name_First.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_Name_First").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Postal_Name_First").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_Name_First.value));
		document.ShipTo.Ecom_ShipTo_Postal_Name_Last.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_Name_Last").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Postal_Name_Last").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_Name_Last.value));
		document.ShipTo.Ecom_ShipTo_Postal_Street_Line1.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_Street_Line1").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Postal_Street_Line1").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_Street_Line1.value));
		document.ShipTo.Ecom_ShipTo_Postal_PostalCode.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_PostalCode").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Postal_PostalCode").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_PostalCode.value));
		document.ShipTo.Ecom_ShipTo_Postal_City.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_City").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Postal_City").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_City.value));
		if(getElementByID(xmlOrder,"Ecom_BillTo_Postal_StateProv")){
			document.ShipTo.Ecom_ShipTo_Postal_StateProv.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Postal_StateProv").getValue());
			getElementByID(xmlOrder, "Ecom_ShipTo_Postal_StateProv").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Postal_StateProv.value));
			};
		document.ShipTo.Ecom_ShipTo_Online_Email.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Online_Email").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Online_Email").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Online_Email.value));
		document.ShipTo.Ecom_ShipTo_Telecom_Phone_Number.value = decryptTextData(getElementByID(xmlOrder,"Ecom_BillTo_Telecom_Phone_Number").getValue());
		getElementByID(xmlOrder, "Ecom_ShipTo_Telecom_Phone_Number").putValue(encryptTextData(document.ShipTo.Ecom_ShipTo_Telecom_Phone_Number.value));
		// selectcontrols
	  for(var i=0;i<document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.options.length;i++){
	    for(var j=0;j<getElementByID(xmlOrder,'Ecom_BillTo_Postal_Name_Prefix').childNodes.length;j++){
	      if(document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.options[i].value==getElementByID(xmlOrder,'Ecom_BillTo_Postal_Name_Prefix').childNodes[j].value){
	        document.ShipTo.Ecom_ShipTo_Postal_Name_Prefix.options[i].selected = true;
					mNode = getElementByID(xmlOrder,'Ecom_ShipTo_Postal_Name_Prefix');
					mNode.childNodes = new Array();
					mOption = mNode.addNode("option");
					mOption.caption = getElementByID(xmlOrder,'Ecom_BillTo_Postal_Name_Prefix').childNodes[j].caption;
					mOption.value = getElementByID(xmlOrder,'Ecom_BillTo_Postal_Name_Prefix').childNodes[j].value;
	        };
	      };
	    };
	  for(var i=0;i<document.ShipTo.Ecom_ShipTo_Postal_CountryCode.options.length;i++){
	    for(var j=0;j<getElementByID(xmlOrder,'Ecom_BillTo_Postal_CountryCode').childNodes.length;j++){
	      if(document.ShipTo.Ecom_ShipTo_Postal_CountryCode.options[i].value==getElementByID(xmlOrder,'Ecom_BillTo_Postal_CountryCode').childNodes[j].value){
	        document.ShipTo.Ecom_ShipTo_Postal_CountryCode.options[i].selected = true;
					mNode = getElementByID(xmlOrder,'Ecom_ShipTo_Postal_CountryCode');
					mNode.childNodes = new Array();
					mOption = mNode.addNode("option");
					mOption.caption = getElementByID(xmlOrder,'Ecom_BillTo_Postal_CountryCode').childNodes[j].caption;
					mOption.value = getElementByID(xmlOrder,'Ecom_BillTo_Postal_CountryCode').childNodes[j].value;
	        };
	      };
	    };
		};
	};
/* END ADDITIONS FROM VERSION 2.5 */

function submitData(){
var Message;
	safeData();
	if(Validate()){
		if(xmlConfig.skipShippingMethod=="true"){
			requestSSL('pchase_verify.htm');
			}
		else{
			requestSSL('pchase_shipment.htm');
			};
		};
	};
	


var myOOrderHeader = XML.getFirstItem("OOrder").getFirstItem("OrderHeader");
